<?php
# Secret page for admin 
session_start();
if (empty($_SESSION['username'])) {  // Check if the user is logged in
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            text-align: center;
            margin-bottom: 1rem;
        }

        h2 {
            color: #fff;
            text-align: center;
            margin-bottom: 2rem;
        }

        .button-container {
            text-align: center;
            margin-bottom: 2rem;
        }

        button {
            background-color: #e82127;
            color: #fff;
            border: none;
            padding: 0.75rem 1.5rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        button:hover {
            background-color: #b9171f;
        }

        form {
            background-color: #111;
            padding: 2rem;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
        }

        fieldset {
            border: none;
        }

        legend {
            font-size: 1.2rem;
            color: #e82127;
            margin-bottom: 1rem;
        }

        label {
            display: block;
            margin-bottom: 1rem;
            font-size: 1rem;
            color: #fff;
        }

        input,
        select {
            width: 100%;
            padding: 0.5rem;
            margin-top: 0.5rem;
            border: 1px solid #444;
            border-radius: 5px;
            background-color: #222;
            color: #fff;
        }

        input[type="submit"] {
            margin-top: 1rem;
            width: 100%;
            background-color: #e82127;
            border: none;
            padding: 0.75rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #b9171f;
        }
    </style>
</head>
<body>
    <h1>Welcome Admin, <?php echo htmlspecialchars($_SESSION['username']); ?>!</h1>
    <h2>This page is exclusively for administrators to view and add vehicles.</h2>

    <div class="button-container">
        <button type="button" onclick="location.href='admin_view_all_users.php';">View All Registered Users</button>
    </div>

    <form action="handle_admin_add_new_product.php" method="post"> 
        <fieldset>
            
     <div class="button-container">
        <button type="button" onclick="location.href='admin_view_all_products.php';">View All Available Products</button>
    </div>

    <form action="handle_admin_add_new_product.php" method="post"> 
        <fieldset>
            <legend>Enter Vehicle Information Below:</legend>
            <label for="name">Name:
                <input type="text" id="name" name="name" required>
            </label>

            <label for="description">Description:
                <input type="text" id="description" name="description" required>
            </label>

            <label for="category">Category:
                <select id="category" name="category" required>
                    <option value="sedan">Sedan</option>
                    <option value="SUV">SUV</option>
                    <option value="pickup truck">Pickup Truck</option>
                    <option value="Other">Other</option>
                </select>
            </label>

            <label for="quantity">Quantity:
                <input type="number" id="quantity" name="quantity" required>
            </label>

            <label for="price">Price:
                <input type="text" id="price" name="price" required>
            </label>

            <input type="submit" name="submit" value="Submit Vehicle Information">
        </fieldset>
    </form>

    <div class="button-container">
        <button type="button" onclick="location.href='logout.php';">Log Out</button>
    </div>
</body>
</html>